org.jboss.jca.as.converters.wls.api.metadata

## Enum AnonPrincipalCaller.Tag

- java.lang.Object
- - java.lang.Enum<AnonPrincipalCaller.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.AnonPrincipalCaller.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AnonPrincipalCaller.Tag>
  Enclosing interface:
    AnonPrincipalCaller

      public static enum AnonPrincipalCaller.Tag
      extends java.lang.Enum<AnonPrincipalCaller.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIS_CALLER_PRINCIPAL` eis-caller-principal tag
    `MAPPED_CALLER_PRINCIPAL` mapped-caller-principal tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnonPrincipalCaller.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static AnonPrincipalCaller.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnonPrincipalCaller.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final AnonPrincipalCaller.Tag UNKNOWN

      always first

    - #### EIS_CALLER_PRINCIPAL

          public static final AnonPrincipalCaller.Tag EIS_CALLER_PRINCIPAL

      eis-caller-principal tag

    - #### MAPPED_CALLER_PRINCIPAL

          public static final AnonPrincipalCaller.Tag MAPPED_CALLER_PRINCIPAL

      mapped-caller-principal tag

  - ### Method Detail

    - #### values

          public static AnonPrincipalCaller.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnonPrincipalCaller.Tag c : AnonPrincipalCaller.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnonPrincipalCaller.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<AnonPrincipalCaller.Tag>`

    - #### forName

          public static AnonPrincipalCaller.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)